"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sanitizeFilename = void 0;
const log = require("loglevel");
const sanitize = require("sanitize-filename");
const constants_1 = require("../constants");
function sanitizeFilename(platform, filenameToSanitize) {
    let result = sanitize(filenameToSanitize);
    // spaces will cause problems with Ubuntu when pinned to the dock
    if (platform === 'linux') {
        result = result.replace(/\s/g, '');
    }
    if (!result || result === '') {
        result = constants_1.DEFAULT_APP_NAME;
        log.warn('Falling back to default app name as result of filename sanitization. Use flag "--name" to set a name');
    }
    log.debug(`Sanitized filename for ${filenameToSanitize} : ${result}`);
    return result;
}
exports.sanitizeFilename = sanitizeFilename;
//# sourceMappingURL=sanitizeFilename.js.map